OpenNMS API 1.2.9

## org.opennms.netmgt.config.collectd
Class MibObj

    java.lang.Object
      org.opennms.netmgt.config.collectd.MibObj

All Implemented Interfaces:
  java.io.Serializable

public class MibObj
extends java.lang.Object
implements java.io.Serializable

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` `_alias`
`private java.lang.String` `_instance`
`private java.lang.String` `_maxval`
`private java.lang.String` `_minval`
`private java.lang.String` `_oid`
`private java.lang.String` `_type`
`private java.util.Vector` `propertyChangeListeners`

Constructor Summary
`MibObj()`

Method Summary
`void` `addPropertyChangeListener(java.beans.PropertyChangeListener pcl)` Registers a PropertyChangeListener with this class.
`boolean` `equals(java.lang.Object obj)` Note: hashCode() has not been overriden
`java.lang.String` `getAlias()` Returns the value of field 'alias'.
`java.lang.String` `getInstance()` Returns the value of field 'instance'.
`java.lang.String` `getMaxval()` Returns the value of field 'maxval'.
`java.lang.String` `getMinval()` Returns the value of field 'minval'.
`java.lang.String` `getOid()` Returns the value of field 'oid'.
`java.lang.String` `getType()` Returns the value of field 'type'.
`boolean` `isValid()`
`void` `marshal(org.xml.sax.DocumentHandler handler)`
`void` `marshal(java.io.Writer out)`
`protected void` `notifyPropertyChangeListeners(java.lang.String fieldName, java.lang.Object oldValue, java.lang.Object newValue)` Notifies all registered PropertyChangeListeners when a bound property's value changes.
`boolean` `removePropertyChangeListener(java.beans.PropertyChangeListener pcl)` Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.
`void` `setAlias(java.lang.String alias)` Sets the value of field 'alias'.
`void` `setInstance(java.lang.String instance)` Sets the value of field 'instance'.
`void` `setMaxval(java.lang.String maxval)` Sets the value of field 'maxval'.
`void` `setMinval(java.lang.String minval)` Sets the value of field 'minval'.
`void` `setOid(java.lang.String oid)` Sets the value of field 'oid'.
`void` `setType(java.lang.String type)` Sets the value of field 'type'.
`static MibObj` `unmarshal(java.io.Reader reader)`
`void` `validate()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _oid

    private java.lang.String _oid

### _instance

    private java.lang.String _instance

### _alias

    private java.lang.String _alias

### _type

    private java.lang.String _type

### _maxval

    private java.lang.String _maxval

### _minval

    private java.lang.String _minval

### propertyChangeListeners

    private java.util.Vector propertyChangeListeners

Constructor Detail

### MibObj

    public MibObj()

Method Detail

### addPropertyChangeListener

    public void addPropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Registers a PropertyChangeListener with this class.

  Parameters:
    `pcl` - The PropertyChangeListener to register.

### equals

    public boolean equals(java.lang.Object obj)

  Note: hashCode() has not been overriden

  Parameters:
    `obj` -

### getAlias

    public java.lang.String getAlias()

  Returns the value of field 'alias'.

  Returns:
    the value of field 'alias'.

### getInstance

    public java.lang.String getInstance()

  Returns the value of field 'instance'.

  Returns:
    the value of field 'instance'.

### getMaxval

    public java.lang.String getMaxval()

  Returns the value of field 'maxval'.

  Returns:
    the value of field 'maxval'.

### getMinval

    public java.lang.String getMinval()

  Returns the value of field 'minval'.

  Returns:
    the value of field 'minval'.

### getOid

    public java.lang.String getOid()

  Returns the value of field 'oid'.

  Returns:
    the value of field 'oid'.

### getType

    public java.lang.String getType()

  Returns the value of field 'type'.

  Returns:
    the value of field 'type'.

### isValid

    public boolean isValid()

### marshal

    public void marshal(java.io.Writer out)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `out` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### marshal

    public void marshal(org.xml.sax.DocumentHandler handler)
                 throws org.exolab.castor.xml.MarshalException,
                        org.exolab.castor.xml.ValidationException

  Parameters:
    `handler` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### notifyPropertyChangeListeners

    protected void notifyPropertyChangeListeners(java.lang.String fieldName,
                                                 java.lang.Object oldValue,
                                                 java.lang.Object newValue)

  Notifies all registered PropertyChangeListeners when a bound property's value changes.

  Parameters:
    `fieldName` - the name of the property that has changed.
    `newValue` - the new value of the property.
    `oldValue` - the old value of the property.

### removePropertyChangeListener

    public boolean removePropertyChangeListener(java.beans.PropertyChangeListener pcl)

  Removes the given PropertyChangeListener from this classes list of ProperyChangeListeners.

  Parameters:
    `pcl` - The PropertyChangeListener to remove.
  Returns:
    true if the given PropertyChangeListener was removed.

### setAlias

    public void setAlias(java.lang.String alias)

  Sets the value of field 'alias'.

  Parameters:
    `alias` - the value of field 'alias'.

### setInstance

    public void setInstance(java.lang.String instance)

  Sets the value of field 'instance'.

  Parameters:
    `instance` - the value of field 'instance'.

### setMaxval

    public void setMaxval(java.lang.String maxval)

  Sets the value of field 'maxval'.

  Parameters:
    `maxval` - the value of field 'maxval'.

### setMinval

    public void setMinval(java.lang.String minval)

  Sets the value of field 'minval'.

  Parameters:
    `minval` - the value of field 'minval'.

### setOid

    public void setOid(java.lang.String oid)

  Sets the value of field 'oid'.

  Parameters:
    `oid` - the value of field 'oid'.

### setType

    public void setType(java.lang.String type)

  Sets the value of field 'type'.

  Parameters:
    `type` - the value of field 'type'.

### unmarshal

    public static MibObj unmarshal(java.io.Reader reader)
                            throws org.exolab.castor.xml.MarshalException,
                                   org.exolab.castor.xml.ValidationException

  Parameters:
    `reader` -
  Throws:
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Throws:
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.